/*
  ppmc_dio.c

  dio functions for PPMC boards.
  
  Modification history:

  10 oct 2000 eek.  split out ppmc_dio from other ppmc functions
  this is likely to become quite large as all the desirable functions
  are incorporated

  */


#include "ppmc.h"		/* decls for ppmc implementation */

int DIOInit(void)
{
	return 0;
}
int DIOQuit(void)
{
	return 0;
}

int ppmcMaxLimitSwitchRead(int axis, int * flag)
{

  return 0;

}

int ppmcMinLimitSwitchRead(int axis, int * flag)
{

  return 0;

}

int ppmcHomeSwitchRead(int axis, int * flag)
{

  return 0;

}

int ppmcAmpEnable(int axis, int enable)
{
  return 0;
}

int ppmcAmpFault(int axis, int * fault)
{
  return 0;
}

int ppmcDioInit(const char * stuff)
{
  return 0;
}

int ppmcDioQuit()
{
  return 0;
}

int ppmcDioMaxInputs()
{
  return 0;
}

int ppmcDioMaxOutputs()
{
  return 0;
}

int ppmcDioRead(int index, int *value)
{
  switch (index)
    {
    case 0:
      SelAddr(DIN_0);
      break;
    case 1:
      SelAddr(DIN_1);
      break;
    case 2:
      SelAddr(ESTOP_IN);
      break;
    }
  *value = ReadData();
  return 0;
}

int ppmcDioWrite(int index, int value)
{
  switch (index)
    {
    case 0:
      SelAddr(DOUT_0);
      break;
    case 1:
      SelAddr(DOUT_1);
      break;
    case 2:
      SelAddr(ESTOP_OUT);
      break;
    }
  WriteData(value);
  return 0;
}

int ppmcDioCheck(int index, int *value)
{
  return 0;
}

int ppmcDioByteRead(int index, unsigned char *byte)
{
  return 0;
}

int ppmcDioShortRead(int index, unsigned short *sh)
{
  return 0;
}

int ppmcDioWordRead(int index, unsigned int *word)
{
  return 0;
}

int ppmcDioByteWrite(int index, unsigned char byte)
{
  return 0;
}

int ppmcDioShortWrite(int index, unsigned short sh)
{
  return 0;
}

int ppmcDioWordWrite(int index, unsigned int word)
{
  return 0;
}

int ppmcDioByteCheck(int index, unsigned char *byte)
{
  return 0;
}

int ppmcDioShortCheck(int index, unsigned short *sh)
{
  return 0;
}

int ppmcDioWordCheck(int index, unsigned int *word)
{
  return 0;
}

